Carlos Brando

Nome do Jogo

Edge Rails: Process Scripts

Se você é ainda um dos poucos a usar os scripts inspector, reaper e spawner do Rails, é bom saber que estes scripts não existirão mais à partir do Rails 2.3.

Eu mesmo só me lembro de usá-los uma vez em um arquivo ./script/spin que criei para subir múltiplas instâncias do Mongrel.

Como hoje a alternativa mais simples normalmente é o Passenger, estes scripts passaram a ser desnecessários na maioria dos casos. Portanto seu código foi retirado do core do Rails.

Caso você ainda precise de algum deles, foi criado um plugin chamado irs_process_scripts que os adicionará novamente em seu projeto.


Todos os exemplos dados aqui funcionarão somente no Ruby on Rails 2.3/3.0 ou superior. Você pode encontrar mais detalhes sobre esta e outras novidades acompanhando a série Edge Rails.

Comments